#!/bin/sh



# Set JAVA_HOME value
#JAVA_HOME=

# To use internet proxy, set JAVA_FLAGS as indicated:
#    set JAVA_FLAGS=-Dhttp.proxyHost=10.0.0.100 -Dhttp.proxyPort=8800 -Dhttps.proxyHost=10.0.0.100 -Dhttps.proxyPort=8800
# To disable displaying download progress, set JAVA_FLAGS as indicated:
#    set JAVA_FLAGS=-Dshowprogress=false
JAVA_FLAGS=



currentpath=`pwd`
path=${0%/*}


if test -z "$JAVA_HOME"
then
  echo "JAVA_HOME is not defined"
  exit -1

fi


if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

if [ ! -f ${JAVA_EXE} ]; then
  	echo "Java cannot be found in JAVA_HOME."
  exit -1
fi

cd $path


$JAVA_EXE $JAVA_FLAGS -jar tools.jar $*

cd $currentpath