@echo off

REM Set JAVA_HOME value
REM set JAVA_HOME=

REM To use internet proxy, set JAVA_FLAGS as indicated:
REM    set JAVA_FLAGS=-Dhttp.proxyHost=10.0.0.100 -Dhttp.proxyPort=8800 -Dhttps.proxyHost=10.0.0.100 -Dhttps.proxyPort=8800
REM To disable displaying download progress, set JAVA_FLAGS as indicated:
REM    set JAVA_FLAGS=-Dshowprogress=false
set JAVA_FLAGS=


set currentpath=%cd%
set path=%~dp0

if not defined JAVA_HOME (
		echo JAVA_HOME is not defined
		exit /b -1
)
if exist "%JAVA_HOME%\bin\java.exe" (
   set JAVA_EXE="%JAVA_HOME%\bin\java.exe"
) else (
   set JAVA_EXE="%JAVA_HOME%\jre\bin\java.exe"
)

if not exist %JAVA_EXE% (
  	echo cannot find the Java.exe file in JAVA_HOME
	exit /b -1
)
cd /d %path%	
%JAVA_EXE% %JAVA_FLAGS% -jar tools.jar %*
cd /d %currentpath%


